Name:          dracut
Version:       102
Release:       1mamba
Summary:       Generic, modular initramfs generation tool that can be used across various distributions
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/dracut-ng/dracut-ng/wiki
Source:        https://github.com/dracut-ng/dracut-ng.git/%{version}/dracut-ng-%{version}.tar.bz2
Source1:       dracut-openmamba.conf
Source2:       dracut-openmamba.png
Patch21:       dracut-040-dmsetup_fix_path.patch
Patch25:       dracut-055-bluetooth-lib64-fix.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libkmod-devel
## AUTOBUILDREQ-END
BuildRequires: %{_bindir}/xsltproc
BuildRequires: dash
BuildRequires: systemd-devel
Requires:      binutils
Requires:      bluez
Requires:      bridge-utils
Requires:      btrfs-progs
Requires:      bzip2
Requires:      cifs-utils
Requires:      cpio
Requires:      cryptsetup
Requires:      curl
Requires:      dash
Requires:      dhcp-client
Requires:      dmraid
Requires:      eject
Requires:      file
Requires:      kexec-tools
Requires:      keyutils
Requires:      kmod
Requires:      gnupg2
Requires:      gzip
Requires:      iproute
Requires:      iputils
Requires:      isomd5sum
Requires:      jfsutils
Requires:      less
Requires:      lvm2
Requires:      mdadm
Requires:      memstrack
Requires:      multipath-tools
Requires:      nbd
Requires:      nfs-utils
Requires:      ntfs-3g
Requires:      nvme-cli
Requires:      open-fcoe
Requires:      open-lldp
Requires:      open-iscsi
Requires:      openssh-clients
Requires:      pcscd
Requires:      pkgconf
Requires:      rng-tools
Requires:      squashfs
Requires:      tar
Requires:      udev >= 168
Requires:      util-linux-ng
Requires:      xfsprogs
Requires:      /bin/pidof
Requires:      /sbin/reboot
Requires:      /sbin/poweroff
Requires:      /sbin/halt
Requires(post): filesystem >= 2.3-10mamba
Requires(post): systemd >= 2:255
Provides:      mkinitramfs
Obsoletes:     mkinitramfs < 054
Obsoletes:     ifenslave <= 1.1.0

%description
Dracut is a generic, modular initramfs generation tool that can be used across various distributions.

%package modules-extras
Summary:       Extra optional modules for dracut
Group:         Development/Libraries
Requires:      bootchart
%ifarch %{ix86} x86_64
Requires:      biosdevname
Requires:      stratisd
%endif
Requires:      %{name} = %{version}-%{release}

%description modules-extras
Dracut is a generic, modular initramfs generation tool that can be used across various distributions.
This package conatins extra optional modules for dracut.

%prep
%setup -q -n dracut-ng-%{version}
%patch 21 -p1
%ifarch x86_64 aarch64
%patch 25 -p1
%endif

#chmod +x modules.d/99squash-live/*

# remove *.orig files created by patched to prevent from being installed
find . -name "*.orig" -exec rm -f {} \;

%build
export CFLAGS="%{optflags} -Wformat"
%configure \
   --libdir=%{_prefix}/lib

#touch Makefile.inc
%make \
   sysconfdir=%{_sysconfdir} \
   systemdsystemunitdir=%{_unitdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   sysconfdir=%{_sysconfdir} \
   systemdsystemunitdir=%{_unitdir}
   
#install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/dracut.conf.d/openmamba.conf

# compatibility symlinks
#install -d -m0755 %{buildroot}%{_sbindir}
#ln -s ../bin/dracut %{buildroot}%{_sbindir}/dracut
ln -s ../bin/dracut %{buildroot}%{_bindir}/mkinitrd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   KVER=`uname -r`
   INITRAMFS=/boot/initramfs-$KVER.img
   if [ -e /boot/vmlinuz-$KVER ]; then
      [ -e $INITRAMFS -a %{_sysconfdir}/dracut.conf -nt $INITRAMFS ] || continue
      dracut $INITRAMFS $KVER -H -f -q
   fi
fi
:

%files
%defattr(-,root,root)
%config %{_sysconfdir}/dracut.conf
%{_bindir}/dracut
%{_bindir}/lsinitrd
%{_bindir}/mkinitrd
%{_bindir}/dracut-catimages
%dir %{_prefix}/lib/dracut
%{_prefix}/lib/dracut/dracut-functions
%{_prefix}/lib/dracut/dracut-functions.sh
%{_prefix}/lib/dracut/dracut-initramfs-restore
%{_prefix}/lib/dracut/dracut-init.sh
%{_prefix}/lib/dracut/dracut-install
%{_prefix}/lib/dracut/dracut-logger.sh
%{_prefix}/lib/dracut/dracut-util
%{_prefix}/lib/dracut/dracut-version.sh
%{_prefix}/lib/dracut/skipcpio
%dir %{_prefix}/lib/dracut/modules.d
%dir %{_prefix}/lib/dracut/modules.d/00bash
%{_prefix}/lib/dracut/modules.d/00bash/module-setup.sh
%dir %{_prefix}/lib/dracut/modules.d/00dash
%{_prefix}/lib/dracut/modules.d/00dash/*
%dir %{_prefix}/lib/dracut/modules.d/00systemd
%{_prefix}/lib/dracut/modules.d/00systemd/*
%dir %{_prefix}/lib/dracut/modules.d/00systemd-network-management
%{_prefix}/lib/dracut/modules.d/00systemd-network-management/*
%dir %{_prefix}/lib/dracut/modules.d/00warpclock
%{_prefix}/lib/dracut/modules.d/00warpclock/*
%dir %{_prefix}/lib/dracut/modules.d/01systemd-*
%{_prefix}/lib/dracut/modules.d/01systemd-*/*
%dir %{_prefix}/lib/dracut/modules.d/01fips
%{_prefix}/lib/dracut/modules.d/01fips/*
%dir %{_prefix}/lib/dracut/modules.d/03rescue
%dir %{_prefix}/lib/dracut/modules.d/03modsign
%{_prefix}/lib/dracut/modules.d/03modsign/*
%{_prefix}/lib/dracut/modules.d/03rescue/module-setup.sh
%dir %{_prefix}/lib/dracut/modules.d/04watchdog
%{_prefix}/lib/dracut/modules.d/04watchdog/*
%dir %{_prefix}/lib/dracut/modules.d/04watchdog-modules
%{_prefix}/lib/dracut/modules.d/04watchdog-modules/*
%dir %{_prefix}/lib/dracut/modules.d/06dbus-daemon
%{_prefix}/lib/dracut/modules.d/06dbus-daemon/*
%dir %{_prefix}/lib/dracut/modules.d/06rngd
%{_prefix}/lib/dracut/modules.d/06rngd/*
%dir %{_prefix}/lib/dracut/modules.d/09dbus
%{_prefix}/lib/dracut/modules.d/09dbus/*
%dir %{_prefix}/lib/dracut/modules.d/10i18n
%{_prefix}/lib/dracut/modules.d/10i18n/*
%dir %{_prefix}/lib/dracut/modules.d/30convertfs
%{_prefix}/lib/dracut/modules.d/30convertfs/*
%dir %{_prefix}/lib/dracut/modules.d/35network-legacy
%{_prefix}/lib/dracut/modules.d/35network-legacy/*
%dir %{_prefix}/lib/dracut/modules.d/35network-manager
%{_prefix}/lib/dracut/modules.d/35network-manager/*
%dir %{_prefix}/lib/dracut/modules.d/40network
%{_prefix}/lib/dracut/modules.d/40network/*
%dir %{_prefix}/lib/dracut/modules.d/45net-lib
%{_prefix}/lib/dracut/modules.d/45net-lib/*
%dir %{_prefix}/lib/dracut/modules.d/45url-lib
%{_prefix}/lib/dracut/modules.d/45url-lib/*
%dir %{_prefix}/lib/dracut/modules.d/50drm
%{_prefix}/lib/dracut/modules.d/50drm/*
%dir %{_prefix}/lib/dracut/modules.d/50plymouth
%{_prefix}/lib/dracut/modules.d/50plymouth/*
%dir %{_prefix}/lib/dracut/modules.d/62bluetooth
%{_prefix}/lib/dracut/modules.d/62bluetooth/*
%dir %{_prefix}/lib/dracut/modules.d/80cms
%{_prefix}/lib/dracut/modules.d/80cms/*
%dir %{_prefix}/lib/dracut/modules.d/80lvmmerge
%{_prefix}/lib/dracut/modules.d/80lvmmerge/*
%dir %{_prefix}/lib/dracut/modules.d/80lvmthinpool-monitor
%{_prefix}/lib/dracut/modules.d/80lvmthinpool-monitor/*
%dir %{_prefix}/lib/dracut/modules.d/81cio_ignore
%{_prefix}/lib/dracut/modules.d/81cio_ignore/*
%dir %{_prefix}/lib/dracut/modules.d/90btrfs
%{_prefix}/lib/dracut/modules.d/90btrfs/*
%dir %{_prefix}/lib/dracut/modules.d/90crypt
%{_prefix}/lib/dracut/modules.d/90crypt/*
%dir %{_prefix}/lib/dracut/modules.d/90dm
%{_prefix}/lib/dracut/modules.d/90dm/*
%dir %{_prefix}/lib/dracut/modules.d/90dmraid
%{_prefix}/lib/dracut/modules.d/90dmraid/*
%dir %{_prefix}/lib/dracut/modules.d/90dmsquash-live
%{_prefix}/lib/dracut/modules.d/90dmsquash-live/*
%dir %{_prefix}/lib/dracut/modules.d/90dmsquash-live-ntfs
%{_prefix}/lib/dracut/modules.d/90dmsquash-live-ntfs/*
%dir %{_prefix}/lib/dracut/modules.d/90dmsquash-live-autooverlay
%{_prefix}/lib/dracut/modules.d/90dmsquash-live-autooverlay/*
%dir %{_prefix}/lib/dracut/modules.d/90lvm
%{_prefix}/lib/dracut/modules.d/90lvm/*
%dir %{_prefix}/lib/dracut/modules.d/90kernel-modules
%{_prefix}/lib/dracut/modules.d/90kernel-modules/*
%dir %{_prefix}/lib/dracut/modules.d/90kernel-network-modules
%{_prefix}/lib/dracut/modules.d/90kernel-network-modules/*
%dir %{_prefix}/lib/dracut/modules.d/90kernel-modules-extra
%{_prefix}/lib/dracut/modules.d/90kernel-modules-extra/*
%dir %{_prefix}/lib/dracut/modules.d/90livenet
%{_prefix}/lib/dracut/modules.d/90livenet/*
%dir %{_prefix}/lib/dracut/modules.d/90mdraid
%{_prefix}/lib/dracut/modules.d/90mdraid/*
%dir %{_prefix}/lib/dracut/modules.d/90multipath
%{_prefix}/lib/dracut/modules.d/90multipath/*
%dir %{_prefix}/lib/dracut/modules.d/90qemu
%{_prefix}/lib/dracut/modules.d/90qemu/*
%dir %{_prefix}/lib/dracut/modules.d/90qemu-net
%{_prefix}/lib/dracut/modules.d/90qemu-net/*
%dir %{_prefix}/lib/dracut/modules.d/90numlock
%{_prefix}/lib/dracut/modules.d/90numlock/*
%dir %{_prefix}/lib/dracut/modules.d/90nvdimm
%{_prefix}/lib/dracut/modules.d/90nvdimm/*
%dir %{_prefix}/lib/dracut/modules.d/90overlayfs
%{_prefix}/lib/dracut/modules.d/90overlayfs/*
%dir %{_prefix}/lib/dracut/modules.d/90pcmcia
%{_prefix}/lib/dracut/modules.d/90pcmcia/*
%dir %{_prefix}/lib/dracut/modules.d/90ppcmac
%{_prefix}/lib/dracut/modules.d/90ppcmac/*
%dir %{_prefix}/lib/dracut/modules.d/90systemd-cryptsetup
%{_prefix}/lib/dracut/modules.d/90systemd-cryptsetup/*
%dir %{_prefix}/lib/dracut/modules.d/91crypt-gpg
%{_prefix}/lib/dracut/modules.d/91crypt-gpg/*
%dir %{_prefix}/lib/dracut/modules.d/91crypt-loop
%{_prefix}/lib/dracut/modules.d/91crypt-loop/*
%dir %{_prefix}/lib/dracut/modules.d/91fido2
%{_prefix}/lib/dracut/modules.d/91fido2/*
%dir %{_prefix}/lib/dracut/modules.d/91pcsc
%{_prefix}/lib/dracut/modules.d/91pcsc/*
%dir %{_prefix}/lib/dracut/modules.d/91pkcs11
%{_prefix}/lib/dracut/modules.d/91pkcs11/*
%dir %{_prefix}/lib/dracut/modules.d/91zipl
%{_prefix}/lib/dracut/modules.d/91zipl/*
%dir %{_prefix}/lib/dracut/modules.d/95cifs
%{_prefix}/lib/dracut/modules.d/95cifs/*
%dir %{_prefix}/lib/dracut/modules.d/95dasd
%{_prefix}/lib/dracut/modules.d/95dasd/*
%dir %{_prefix}/lib/dracut/modules.d/95dasd_mod
%{_prefix}/lib/dracut/modules.d/95dasd_mod/*
#%dir %{_prefix}/lib/dracut/modules.d/95dasd_rules
#%{_prefix}/lib/dracut/modules.d/95dasd_rules/*
%dir %{_prefix}/lib/dracut/modules.d/95debug
%{_prefix}/lib/dracut/modules.d/95debug/*
%dir %{_prefix}/lib/dracut/modules.d/95fcoe
%{_prefix}/lib/dracut/modules.d/95fcoe/*
%dir %{_prefix}/lib/dracut/modules.d/95fcoe-uefi
%{_prefix}/lib/dracut/modules.d/95fcoe-uefi/*
%dir %{_prefix}/lib/dracut/modules.d/95iscsi
%{_prefix}/lib/dracut/modules.d/95iscsi/*
%dir %{_prefix}/lib/dracut/modules.d/95nbd
%{_prefix}/lib/dracut/modules.d/95nbd/*
%dir %{_prefix}/lib/dracut/modules.d/95nfs
%{_prefix}/lib/dracut/modules.d/95nfs/*
%dir %{_prefix}/lib/dracut/modules.d/95nvmf
%{_prefix}/lib/dracut/modules.d/95nvmf/*
#%dir %{_prefix}/lib/dracut/modules.d/95qeth_rules
#%{_prefix}/lib/dracut/modules.d/95qeth_rules/*
%dir %{_prefix}/lib/dracut/modules.d/95resume
%{_prefix}/lib/dracut/modules.d/95resume/*
%dir %{_prefix}/lib/dracut/modules.d/95rootfs-block
%{_prefix}/lib/dracut/modules.d/95rootfs-block/*
%dir %{_prefix}/lib/dracut/modules.d/95ssh-client
%{_prefix}/lib/dracut/modules.d/95ssh-client/*
%dir %{_prefix}/lib/dracut/modules.d/95terminfo
%{_prefix}/lib/dracut/modules.d/95terminfo/*
%dir %{_prefix}/lib/dracut/modules.d/95udev-rules
%{_prefix}/lib/dracut/modules.d/95udev-rules/*
%dir %{_prefix}/lib/dracut/modules.d/95virtfs
%{_prefix}/lib/dracut/modules.d/95virtfs/*
%dir %{_prefix}/lib/dracut/modules.d/95virtiofs
%{_prefix}/lib/dracut/modules.d/95virtiofs/*
%dir %{_prefix}/lib/dracut/modules.d/95fstab-sys
%{_prefix}/lib/dracut/modules.d/95fstab-sys/*
%dir %{_prefix}/lib/dracut/modules.d/95dcssblk
%{_prefix}/lib/dracut/modules.d/95dcssblk/*
%dir %{_prefix}/lib/dracut/modules.d/95lunmask
%{_prefix}/lib/dracut/modules.d/95lunmask/*
%dir %{_prefix}/lib/dracut/modules.d/95zfcp
%{_prefix}/lib/dracut/modules.d/95zfcp/*
#%dir %{_prefix}/lib/dracut/modules.d/95zfcp_rules
#%{_prefix}/lib/dracut/modules.d/95zfcp_rules/*
%dir %{_prefix}/lib/dracut/modules.d/95znet
%{_prefix}/lib/dracut/modules.d/95znet/*
%dir %{_prefix}/lib/dracut/modules.d/96securityfs
%{_prefix}/lib/dracut/modules.d/96securityfs/*
%dir %{_prefix}/lib/dracut/modules.d/98usrmount
%{_prefix}/lib/dracut/modules.d/98usrmount/*
%dir %{_prefix}/lib/dracut/modules.d/97masterkey
%{_prefix}/lib/dracut/modules.d/97masterkey/*
%dir %{_prefix}/lib/dracut/modules.d/98ecryptfs
%{_prefix}/lib/dracut/modules.d/98ecryptfs/*
%dir %{_prefix}/lib/dracut/modules.d/98integrity
%{_prefix}/lib/dracut/modules.d/98integrity/*
%dir %{_prefix}/lib/dracut/modules.d/98pollcdrom
%{_prefix}/lib/dracut/modules.d/98pollcdrom/*
%dir %{_prefix}/lib/dracut/modules.d/98selinux
%{_prefix}/lib/dracut/modules.d/98selinux/*
%dir %{_prefix}/lib/dracut/modules.d/98syslog
%{_prefix}/lib/dracut/modules.d/98syslog/*
%dir %{_prefix}/lib/dracut/modules.d/98dracut-systemd
%{_prefix}/lib/dracut/modules.d/98dracut-systemd/*
%dir %{_prefix}/lib/dracut/modules.d/99base
%{_prefix}/lib/dracut/modules.d/99base/*
%dir %{_prefix}/lib/dracut/modules.d/99fs-lib
%{_prefix}/lib/dracut/modules.d/99fs-lib/*
%dir %{_prefix}/lib/dracut/modules.d/99img-lib
%{_prefix}/lib/dracut/modules.d/99img-lib/*
%dir %{_prefix}/lib/dracut/modules.d/99memstrack
%{_prefix}/lib/dracut/modules.d/99memstrack/*
%dir %{_prefix}/lib/dracut/modules.d/99shutdown
%{_prefix}/lib/dracut/modules.d/99shutdown/*
%dir %{_prefix}/lib/dracut/modules.d/99squash
%{_prefix}/lib/dracut/modules.d/99squash/*
%dir %{_prefix}/lib/dracut/modules.d/99uefi-lib
%{_prefix}/lib/dracut/modules.d/99uefi-lib/*
%dir %{_prefix}/lib/kernel
%dir %{_prefix}/lib/kernel/install.d
%{_prefix}/lib/kernel/install.d/50-dracut.install
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
%{_unitdir}/dracut-*.service
%{_unitdir}/sysinit.target.wants/dracut-shutdown.service
%{_unitdir}/initrd.target.wants/dracut-*.service
%{_datadir}/bash-completion/completions/dracut
%{_datadir}/bash-completion/completions/lsinitrd
%{_datadir}/pkgconfig/dracut.pc
%{_mandir}/man1/lsinitrd.1*
%{_mandir}/man7/dracut.bootup.7*
%{_mandir}/man5/dracut.conf.5*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.modules.7*
%{_mandir}/man8/dracut-catimages.8*
%{_mandir}/man8/dracut-cmdline.service.8*
%{_mandir}/man8/dracut-initqueue.service.8*
%{_mandir}/man8/dracut-mount.service.8*
%{_mandir}/man8/dracut-pre-mount.service.8*
%{_mandir}/man8/dracut-pre-pivot.service.8*
%{_mandir}/man8/dracut-pre-trigger.service.8*
%{_mandir}/man8/dracut-pre-udev.service.8*
%{_mandir}/man8/dracut-shutdown.service.8*
%{_mandir}/man8/dracut.8*
%doc AUTHORS COPYING

%files modules-extras
%defattr(-,root,root)
%dir %{_prefix}/lib/dracut/modules.d/00mksh
%{_prefix}/lib/dracut/modules.d/00mksh/*
%dir %{_prefix}/lib/dracut/modules.d/02caps
%{_prefix}/lib/dracut/modules.d/02caps/*
%dir %{_prefix}/lib/dracut/modules.d/05busybox
%{_prefix}/lib/dracut/modules.d/05busybox/module-setup.sh
%dir %{_prefix}/lib/dracut/modules.d/06dbus-broker
%{_prefix}/lib/dracut/modules.d/06dbus-broker/*
%dir %{_prefix}/lib/dracut/modules.d/35connman/
%{_prefix}/lib/dracut/modules.d/35connman/*
%dir %{_prefix}/lib/dracut/modules.d/45ifcfg
%{_prefix}/lib/dracut/modules.d/45ifcfg/*
%dir %{_prefix}/lib/dracut/modules.d/80test-makeroot
%{_prefix}/lib/dracut/modules.d/80test-makeroot/*
%dir %{_prefix}/lib/dracut/modules.d/80test-root
%{_prefix}/lib/dracut/modules.d/80test-root/*
%dir %{_prefix}/lib/dracut/modules.d/80test
%{_prefix}/lib/dracut/modules.d/80test/*
%dir %{_prefix}/lib/dracut/modules.d/91tpm2-tss
%{_prefix}/lib/dracut/modules.d/91tpm2-tss/*
%dir %{_prefix}/lib/dracut/modules.d/97biosdevname
%{_prefix}/lib/dracut/modules.d/97biosdevname/*
#%doc NEWS README README.generic README.kernel README.modules TODO

%changelog
* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 102-1mamba
- automatic version update by autodist

* Mon Apr 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 101-1mamba
- update to 101

* Sun Mar 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 059-6mamba
- overlayfs: upstream patch to fix missing /run/overlayfs dir message at boot

* Wed Jan 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 059-5mamba
- removed requirements: plymouth, reiserfsprogs

* Tue Dec 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 059-4mamba
- backport patches to fix systemd 255 support

* Sun Oct 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 059-3mamba
- rebuilt to make sure /usr/sbin/dracut symlink is removed on all archs

* Tue Jan 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 059-2mamba
- move dmsquasl-live-autooverlay and overlayfs from extra to main package

* Wed Dec 28 2022 Automatic Build System <autodist@mambasoft.it> 059-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 057-4mamba
- move network module from extra to main package

* Fri Sep 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 057-3mamba
- 10i18n: added upstream patches to fix adding required includes for keymaps and other fix for font

* Sat Jul 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 057-2mamba
- added a patch to fix adding keymap includes causing systemd-vconsole startup error with host-only initramfs

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 057-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 056-3mamba
- remove old openmamba configuration and icon; require pcscd

* Sat May 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 056-2mamba
- require bluez

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 056-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 055-4mamba
- removed requirement for ifenslave

* Tue Aug 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 055-3mamba
- fix typo in posttrans script

* Tue Aug 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 055-2mamba
- bluetooth: fix libdir search for 64 bit platforms; tpm: move to modules-extras

* Fri May 28 2021 Automatic Build System <autodist@mambasoft.it> 055-1mamba
- automatic version update by autodist

* Tue May 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 054-2mamba
- provide mkinitrd as symlink to dracut since mkinitrd has been removed

* Mon May 24 2021 Automatic Build System <autodist@mambasoft.it> 054-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 053-2mamba
- move dbus-broker module to extras subpackage

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 053-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 052-1mamba
- automatic version update by autodist

* Sat Dec 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 051-2mamba
- require dmraid, nvme-cli, memstrack. move to extras network-wicked and mksh modules, restore multipath module

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 051-1mamba
- automatic version update by autodist

* Sun Mar 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 050-2mamba
- require rng-tools

* Sun Mar 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 050-1mamba
- update to 050

* Mon Dec 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-6mamba
- prelink no longer required

* Sat May 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-5mamba
- remove old custom 99squash-live module; will use upstream 90dmsquash-live instead

* Tue Feb 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-4mamba
- apply a workaround attempt (by using sleep) to systemd 240 event timing causing squash-live to fail

* Sun Feb 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-3mamba
- require ntfs-3g

* Sat Jan 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-2mamba
- 99squash-live: added patch to resync with 90dmsquash-live to fix recent boot problems

* Sat Jan 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 049-1mamba
- update to 049

* Fri Aug 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 048-3mamba
- move stratis module to -extras package

* Wed Aug 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 048-2mamba
- require stratisd

* Sat Aug 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 048-1mamba
- update to 048

* Mon Mar 26 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 047-1mamba
- update to 047

* Tue Jan 02 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 046-1mamba
- update to 046

* Tue Apr 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 044.20161015git-3mamba
- fix posttrans script to avoid creating initramfs if related kernel is missing

* Mon Apr 10 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 044.20161015git-2mamba
- posttrans: check for kernel image existence before making initrd (to fix chroot makedist installation)

* Sat Oct 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 044.20161015git-1mamba
- update to 044.20161015git
- reapply bash 4.4 patch part to dracut.sh

* Fri Oct 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 044.20161007git-1mamba
- update to 044.20161007git

* Tue Oct 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 044-3mamba
- patched against bash 4.4 to fix infinite loop (https://github.com/dracutdevs/dracut/issues/118)

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 044-2mamba
- move systemd-bootchart module to -extra package

* Fri Jul 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 044-1mamba
- update to 044

* Thu Nov 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 043-2mamba
- squash-live: add system generator to fix sysroot.mount problem and other changes ported from dmsquash-live

* Sat Aug 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 043-1mamba
- update to 043

* Fri Feb 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 041-1mamba
- update to 041

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 040-6mamba
- upstream patch to fix systemd-journald errors at boot
- recreate initramfs in posttrans

* Sat Jan 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 040-5mamba
- added patch to fix path of dmsetup

* Sat Jan 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 040-4mamba
- added patch to fix error loading autofs4 and ipv6 modules

* Sat Nov 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 040-3mamba
- patch to not use gzip with --rsyncable missing option

* Sat Nov 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 040-2mamba
- require kmod and gnupg

* Tue Nov 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 040-1mamba
- update to 040
- added patch to fix udevdir detection causing all udev rules to be skipped

* Mon Aug 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 038-3mamba
- also move to -extra multipath which causes disks locking during installation

* Sun Aug 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 038-2mamba
- don't require biosdevname as we prefer to keep kernel devices names for now

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 038-1mamba
- automatic update by autodist

* Thu Jun 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-7mamba
- move 90crypt, 90dm, 90dmraid, 90lvm, 90dmsquash-live modules from extra to main package
- and requirements for new modules
- move caps to extras ('caps: does not work with systemd in the initramfs')

* Tue Jun 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-6mamba
- also require biosdevname and nbd

* Tue Jun 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-5mamba
- require open-fcoe, open-lldp, open-iscsi and multipath-tools

* Wed Apr 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-4mamba
- squash-overlayfs-live-openmamba: workaround to fix problem since udev 212 about systemd-udev mounting in its own namespace

* Wed Apr 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-3mamba
- squash-overlayfs-live-openmamba patch: run action_on_file instead of exit 1 in failure cases
- added requirements: curl, tar, openssh-clients, cifs-utils

* Sat Mar 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-2mamba
- require keyutils

* Fri Mar 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-1mamba
- update to 037

* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-5mamba
- squash-live module: working fix is using mount -o bind instead of moving

* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-4mamba
- dracut-functions.sh: fix wrong libdirs assignment when ldconfig_paths is defined

* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-3mamba
- squash-live module: update patch to fix references to udev rules directory
- squash-live module: use mount -o move instead of mount --move causing a new error

* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-2mamba
- nfs module: create /var/lib/nfs/sm instead of /var/lib/nfs/statd/sm

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 032-1mamba
- automatic update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 029-1mamba
- automatic version update by autodist

* Fri Apr 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 027-2mamba
- added a patch to correctly find systemdutildir

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 027-1mamba
- update to 027

* Thu Mar 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-4mamba
- added requirements for /sbin/{reboot,poweroff,halt} and /bin/pidof

* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-3mamba
- provide systemdsystemunitdir path
- moved 00bootchart to -modules-extras

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-2mamba
- added a patch to fix lsinitrd (http://www.mail-archive.com/initramfs@vger.kernel.org/msg03096.html)

* Sat Mar 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-1mamba
- update to 026
- don't require sysvinit as a preparation for systemd switch

* Sat Jan 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 025-1mamba
- update to 025

* Tue Nov 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-3mamba
- require prelink

* Thu Nov 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-2mamba
- update squash-live module and possibly fix missing loop module error at boot
- support isomd5sum squash-live for future implementation (added requirement)
- require binutils (for strip)

* Sat Oct 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-1mamba
- update to 024
- updated squash-overlayfs-live patch to remove an error with dash

* Wed Sep 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-4mamba
- require mdadm

* Wed Sep 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-3mamba
- live-openmamba patch also needs iso9660 module explicitly

* Sun Sep 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-2mamba
- update live-openmamba patch to support overlayfs (requires kernel >= 3.4)

* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 023-1mamba
- automatic version update by autodist

* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 020-2mamba
- added a patch to support plymouth >= 0.8.5 populate initrd script which doesn't use PLYMOUTH_POPULATE_SOURCE_FUNCTIONS anymore

* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 020-1mamba
- update to 020

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 015-1mamba
- update to 015

* Sun Feb 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 014-2mamba
- added patch from upstream git to fix install of modules.order and modules.builtin*

* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 014-1mamba
- update to 014

* Wed Nov 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-8mamba
- squash-live-openmamba: chmod / 755 after unionfs mount to fix world writable root

* Mon Oct 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-7mamba
- i18n: install /usr/lib/locale/locale-archive to fix i18n support

* Sun Oct 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-6mamba
- add patches to mount securityfs with name 'securityfs' instead of mount destination
- added requirement for file (lsinitrd)

* Thu Oct 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-5mamba
- squash-live-openmamba: install usb modules including xhci-hcd for USB 3.0 boot support

* Fri Sep 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-4mamba
- obsolete mkinitramfs

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-3mamba
- squash-live-openmamba: specify tmpfs instead of /dev/shm as /ramfs mount device

* Wed Aug 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-2mamba
- added requirements for kexec-tools, btrfs-progs, reiserfsprogs and xfsprogs

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-1mamba
- update to 013

* Thu Aug 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 011-1mamba
- update to 011

* Thu Aug 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-6mamba
- fixed an error in squash-live-openmamba patch when creating udev rules

* Fri Jul 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-5mamba
- added patch to set gid=4 instead of gid=5 in /dev/pts mount command

* Wed Jun 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-4mamba
- squash-live patch for openmamba updated for version 010

* Fri Jun 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-3mamba
- added patch to fix an error when /etc/ld.so.conf.d is emptry (see https://bugzilla.redhat.com/show_bug.cgi?id=696997)

* Sat Jun 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-2mamba
- mkinitrd: reverse a change in dracut 008 that disables host-only mode (git.kernel.org commit e4e3b4c82153025d5746bfd9b676f84dbe1bc959)

* Thu Jun 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-1mamba
- update to 010

* Fri Apr 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 008-1mamba
- update to 008
- added requirement for ifenslave

* Wed Feb 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-13mamba
- squash-live-openmamba: restore support for rw unionfs dir for use with usb storage

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-12mamba
- add check file to squash-live module to fix install

* Thu Feb 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-11mamba
- added module squash-live instead of patching dmsquash-live
- move dmsquash module to module-extras package
- require dhcp-client because alternative clients are not supported yet

* Tue Feb 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-10mamba
- change requirement from dhcp-client to dhcpclient

* Sun Jan 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-9mamba
- move dm, dmraid, lvm and gensplash modules to new dracut-modules-extras subpackage

* Fri Oct 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-8mamba
- added liveiso extramount patch for bootusb support

* Sun Sep 19 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-7mamba
- removed uvesafb support after fixing standard vesa support in kernel

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-6mamba
- added support for uvesafb

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-5mamba
- added patch for dmsquash-live module to correctly handle openmamba squashfs structure
- added requirement for lvm2

* Mon Sep 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-4mamba
- added requirements for nfs-utils, util-linux-ng (mount/umount), cpio, bzip2, gzip

* Mon Sep 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-3mamba
- added requirements: iproute, sysvinit, iputils, less, dhclient

* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-2mamba
- added openmamba logo and fixes for release file

* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-1mamba
- package created by autospec
